diff --git a/build/index.php b/build/index.php
index ecc57d2..c54418b 100644
--- a/build/index.php
+++ b/build/index.php
@@ -52,13 +52,6 @@ $settings->updateurl = "https://raw.githubusercontent.com/sbrl/pepperminty-wiki/
 // and deleting pages. It is strongly advised that you change this!
 $settings->sitesecret = "ed420502615bac9037f8f12abd4c9f02";
 
-// The directory in which to store all files, except this main index.php.
-// A single dot ('.') denotes the current directory.
-// Remember to omit the trailing slash from the directory name, as it is added
-// automatically by Pepperminty Wiki.
-// Note that this setting is currently experimental.
-$settings->data_storage_dir = "../data_test";
-
 // Determined whether edit is enabled. Set to false to disable disting for all
 // users (anonymous or otherwise).
 $settings->editing = true;
@@ -109,7 +102,18 @@ $settings->users = [
 	"user" => "873ac9ffea4dd04fa719e8920cd6938f0c23cd678af330939cff53c3d2855f34" //cheese
 ];
 
-$settings->require_login_view = true;
+// Whether to require that users login before they do anything else. If you
+// combine this setting with the `data_storage_dir` option to move the storage
+// directory outside your web root, this will completely hide your wiki from
+// anyone who isn't logged in.
+$settings->require_login_view = false;
+
+// The directory in which to store all files, except this main index.php.
+// A single dot ('.') denotes the current directory.
+// Remember to omit the trailing slash from the directory name, as it is added
+// automatically by Pepperminty Wiki.
+// Note that this setting is currently experimental.
+$settings->data_storage_dir = "./";
 
 // Whether to use the new sha3 hashing algorithm that was standardised on the
 // 8th August 2015. Only works if you have strawbrary's sha3 extension
@@ -1080,7 +1084,7 @@ class page_renderer
 							$result .= page_renderer::$nav_divider;
 						}
 						else
-							$result .= "<span class='inflexible'>Browsing as Anonymous.</span>" . /*page_renderer::$nav_divider . */"<span><a href='index.php?action=login'>Login</a></span>" . page_renderer::$nav_divider;
+							$result .= "<span class='inflexible'>Browsing as Anonymous.</span>" . /*page_renderer::$nav_divider . */"<span><a href='index.php?action=login&returnto=" . rawurlencode($_SERVER["REQUEST_URI"]) . "'>Login</a></span>" . page_renderer::$nav_divider;
 						break;
 
 					case "search": // Displays a search bar
diff --git a/core.php b/core.php
index 7977214..b0a994a 100644
--- a/core.php
+++ b/core.php
@@ -740,7 +740,7 @@ class page_renderer
 							$result .= page_renderer::$nav_divider;
 						}
 						else
-							$result .= "<span class='inflexible'>Browsing as Anonymous.</span>" . /*page_renderer::$nav_divider . */"<span><a href='index.php?action=login'>Login</a></span>" . page_renderer::$nav_divider;
+							$result .= "<span class='inflexible'>Browsing as Anonymous.</span>" . /*page_renderer::$nav_divider . */"<span><a href='index.php?action=login&returnto=" . rawurlencode($_SERVER["REQUEST_URI"]) . "'>Login</a></span>" . page_renderer::$nav_divider;
 						break;
 
 					case "search": // Displays a search bar
diff --git a/settings.fragment.php b/settings.fragment.php
index 420cf85..11e0131 100644
--- a/settings.fragment.php
+++ b/settings.fragment.php
@@ -41,13 +41,6 @@ $settings->updateurl = "https://raw.githubusercontent.com/sbrl/pepperminty-wiki/
 // and deleting pages. It is strongly advised that you change this!
 $settings->sitesecret = "ed420502615bac9037f8f12abd4c9f02";
 
-// The directory in which to store all files, except this main index.php.
-// A single dot ('.') denotes the current directory.
-// Remember to omit the trailing slash from the directory name, as it is added
-// automatically by Pepperminty Wiki.
-// Note that this setting is currently experimental.
-$settings->data_storage_dir = "../data_test";
-
 // Determined whether edit is enabled. Set to false to disable disting for all
 // users (anonymous or otherwise).
 $settings->editing = true;
@@ -98,7 +91,18 @@ $settings->users = [
 	"user" => "873ac9ffea4dd04fa719e8920cd6938f0c23cd678af330939cff53c3d2855f34" //cheese
 ];
 
-$settings->require_login_view = true;
+// Whether to require that users login before they do anything else. If you
+// combine this setting with the `data_storage_dir` option to move the storage
+// directory outside your web root, this will completely hide your wiki from
+// anyone who isn't logged in.
+$settings->require_login_view = false;
+
+// The directory in which to store all files, except this main index.php.
+// A single dot ('.') denotes the current directory.
+// Remember to omit the trailing slash from the directory name, as it is added
+// automatically by Pepperminty Wiki.
+// Note that this setting is currently experimental.
+$settings->data_storage_dir = "./";
 
 // Whether to use the new sha3 hashing algorithm that was standardised on the
 // 8th August 2015. Only works if you have strawbrary's sha3 extension
